import { __decorate } from 'tslib';
import { Pipe, NgModule } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';

var HighlightPipe = /** @class */ (function () {
    function HighlightPipe(sanitizer) {
        this.sanitizer = sanitizer;
    }
    HighlightPipe.prototype.transform = function (value, highlightWord, highlightColor) {
        if (!highlightWord) {
            return value;
        }
        var regex = new RegExp(highlightWord, 'gi');
        var match = value.match(regex);
        if (!match) {
            return value;
        }
        if (!highlightColor) {
            highlightColor = 'yellow';
        }
        var html = "<span style=\"background-color:" + highlightColor + "; font-weight:bold\">" + match[0] + "</span>";
        return this.sanitizer.bypassSecurityTrustHtml(value.replace(regex, html));
    };
    HighlightPipe.ctorParameters = function () { return [
        { type: DomSanitizer }
    ]; };
    HighlightPipe = __decorate([
        Pipe({
            name: 'highlight'
        })
    ], HighlightPipe);
    return HighlightPipe;
}());

var NgxHighlightTextModule = /** @class */ (function () {
    function NgxHighlightTextModule() {
    }
    NgxHighlightTextModule = __decorate([
        NgModule({
            declarations: [
                HighlightPipe
            ],
            imports: [],
            exports: [HighlightPipe]
        })
    ], NgxHighlightTextModule);
    return NgxHighlightTextModule;
}());

/*
 * Public API Surface of ngx-highlight-text
 */

/**
 * Generated bundle index. Do not edit.
 */

export { HighlightPipe, NgxHighlightTextModule };
//# sourceMappingURL=ngx-highlight-text.js.map
